- name: Hosts
  become: "{{ false if inventory_hostname == 'nas.home.lan' else true }}"
  block:
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^192.168.77.101 .*"
        line: "192.168.77.101 m-server m-server.home.lan"
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^192.168.77.106 .*"
        line: "192.168.77.106 nas nas.home.lan"
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^192.168.77.238 .*"
        line: "192.168.77.238 rpi5 rpi5.home.lan"
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^192.168.77.4 .*"
        line: "192.168.77.4 amd amd.home.lan"
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^192.168.77.55 .*"
        line: "192.168.77.55 rack rack.home.lan"
    - name: Reconfigure hosts file
      ansible.builtin.lineinfile:
        path: "/etc/hosts"
        regexp: "^193.168.144.164 .*"
        line: "193.168.144.164 external"
